%define __libtoolize    /bin/true

%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define name	pcsxr
%define version	1.9.94
%define release	%mkrel 1

Summary:	Open Source Sony PlayStation emulator
Name:		%{name}
Version:	%{version}
Release:	%{release}

URL:            http://www.codeplex.com/pcsxr
License:        GNU General Public License (GPL)
Group:          Emulators
Source:         %{name}_%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

Provides:	pcsx
Provides:	pcsxr
Obsoletes: 	pcsx-df

BuildRequires:  %{_lib}gtk+3.0-devel 
BuildRequires:	nasm 
BuildRequires:  %{_lib}xext-devel 
BuildRequires:	%{_lib}mesagl1-devel 
BuildRequires:	%{_lib}glade2.0_0-devel 
BuildRequires:	gettext 
BuildRequires:	%{_lib}bzip2-devel 
BuildRequires:	%{_lib}xv-devel 
BuildRequires:	%{_lib}xtst-devel 
BuildRequires:	%{_lib}SDL-devel 
BuildRequires:	intltool
BuildRequires:	desktop-file-utils

%description
This application emulates all components of a Sony PlayStation on
regular PC hardware. It features a sophisticated plugin system allowing
for easy extension and is highly configurable.

To be able to play commercial games on this emulator you need an image
of a Sony PlayStation BIOS ROM. The BIOS is copyrighted by Sony
Computer Entertainment and can therefore not be included in this
package.

BIOS images can be placed in ~/.pcsx/bios or %_datadir/psemu/bios.

Authors:
--------
    Linuzappz <linuzappz@pcsx.net>
    Shadow  <shadow@pcsx.net>
    Pete Bernert <blackdove@addcom.de>
    Lewpy <lewpy@psxemu.com>
    lu_zero
    Darko Matesic <thedarkma@ptt.yu>
    syo <syo68k@geocities.co.jp>
    Lamer0 <Lamer0@mediaone.net>
    Ryan Schultz <schultz.ryan@gmail.com>
    Andrew Burton <adb@iinet.net.au>
    Stephen Chao <schao@myrealbox.com>
    Marcus Comstedt <marcus@mc.pp.se>
    Stefan Sikora <hoshy@schrauberstube.de>
    Wei Mingzhi <whistler_wmz@users.sf.net>
    edgbla <edgbla@yandex.ru>

%prep
%setup -n pcsxr

%build
chmod +x autogen.sh
./autogen.sh
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -pthread -w" \
%configure2_5x  --enable-opengl

make %{?jobs:-j%jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor="" \
 	--add-category="X-MandrivaLinux-MoreApplications-Emulators" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*




%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%update_menus

%postun -p /sbin/ldconfig
%update_menus

%files
%defattr (-,root,root)
%doc AUTHORS ChangeLog INSTALL NEWS README doc/*.txt
%_bindir/pcsxr
%_datadir/applications/*.desktop
%_libdir/games
%doc %_mandir/man1/pcsxr.1*
%_datadir/pcsxr
%_datadir/psemu
%_datadir/locale/*/LC_MESSAGES/*
%_datadir/pixmaps/*


%changelog
* Fri Feb 10 2017 adrianomorselli <adrianomorselli> 1.9.94-1uplos2017
- rebuild

* Wed Dec 28 2016 ghostbunny <ghostbunny at gmx dot de> 1.9.94-1pclos2017
- 1.9.94

* Sat Sep 01 2012 Neal <nealbrks0 at gmail dot com> 1.9.92-1pclos2012
- process for 64bit

* Tue Aug 28 2012 Agent Smith <ruidobranco@yahoo.com.br> 1.9.92-1pclos2012
- Created package 

